set :user, "<%= app_name.downcase %>"
set :application, '<%= app_name.downcase %>'
set :repo_url, 'git@rscz.ru:rocket-science/<%= app_name.downcase %>.git'

set :branch, ENV["REVISION"] || "master"

set :deploy_to, "<%= deploy_to %>"

#set :rvm_type, :user
#set :rvm_ruby_version, "2.5.0@#{fetch :application}"
set :use_sudo, false

set :puma_state, -> { File.join(shared_path, 'tmp', 'puma', 'state') }
set :puma_pid, -> { File.join(shared_path, 'tmp', 'puma', 'pid') }
set :puma_conf, -> { File.join(current_path, 'config', 'puma.rb') }
set :puma_preload_app, false
set :puma_service_unit_name, "puma"
set :puma_systemctl_user, :user

Rake::Task["puma:check"].clear
Rake::Task["puma:config"].clear
namespace :puma do
  task :check do
    puts 'override'
  end
  task :config do
  end
end


set :keep_releases, 20

<% if RocketCMS.mongoid? %>
set :linked_files, %w{config/mongoid.yml config/secrets.yml}
<% else %>
set :linked_files, %w{config/database.yml config/secrets.yml}
<% end %>
set :linked_dirs, %w{log tmp vendor/bundle public/system public/uploads public/ckeditor_assets public/sitemap}

